import React, { useEffect, useState } from 'react'
import { connect } from 'react-redux'
import Loading from '@/components/Loading'
import Overlay from '@/components/Overlay'

const BasicLayout = (props) => {
  const {person, children, onProps, ...leftProps} = props
  const loading = !person || !person.personId

  if (onProps) {
    onProps({person, ...leftProps})
  }

  return (
    <>
      <Overlay visible={loading} style={{background: '#fff'}}>
        <Loading />
      </Overlay>
      {children}
    </>
  )
}

export default connect(({ user }) => ({...user.userInfo || {}}))(BasicLayout)
